Subject: [alto] [FW: New Version Notification for draft-alto-caching-subscription-00.txt]

From: sreekanth madhavan <[email-masked]>
Date: Fri, 23 Mar 2012 14:40:05 +0530

Hi all,

We had a few discussions regarding the draft-alto-caching-subscription. I'd like to summarize the key points and take the group's feedback on the same in the IETF meeting.
 
The first section of the draft focuses on the current issues of HTTP based caching mechanisms used for ALTO and proposes a new alto based caching technique. The main motivation for proposing a new technique is that the current HTTP based caching mechanisms are not sufficient to handle all the cases of ALTO messaging. Another key point is that caching can be done at subset level and also at map level which takes care of clients which don't want to cache the whole map information.

The second section discusses the various cache consistency approaches and proposes notification as suitable one for the case of strong consistency. Clients which don't require strong consistency can use the ALTO caching mechanism for invalidation in which case there would be scenarios when stale information is provided.
The notification message takes changed map information and not the complete map information. The mechanism was not defined clearly in the draft , but we would like to discuss our thoughts in the meeting.

-Sreekanth

-----Original Message-----
From: sreekanth madhavan [mailto:[email-masked]] 
Sent: Wednesday, February 22, 2012 10:54 AM
To: [email-masked]'
Cc: [email-masked]'
Subject: FW: New Version Notification for draft-alto-caching-subscription-00.txt

Hi All,

We have submitted a new draft related to Alto caching and subscription. We felt that the existing HTTP based caching mechanisms are not suitable for caching Alto map information.

We also proposed a new mechanism for subscription and notification which we think will help reduce redundant traffic between alto nodes.

Your comments are highly welcome.

http://www.ietf.org/id/draft-alto-caching-subscription-00.txt

Regards,
Sreekanth Madhavan, on behalf of all authors

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Wednesday, February 22, 2012 10:29 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: New Version Notification for draft-alto-caching-subscription-00.txt

A new version of I-D, draft-alto-caching-subscription-00.txt has been successfully submitted by Sreekanth Madhavan and posted to the IETF repository.

Filename:	 draft-alto-caching-subscription
Revision:	 00
Title:		 ALTO Caching and Subscription
Creation date:	 2012-02-22
WG ID:		 Individual Submission
Number of pages: 19

Abstract:
   The specification of the ALTO protocol uses map based approaches
   assuming that the information provided is static for a longer period
   of time.  But in some cases network operators reallocate IP subnets
   from time to time which in turn changes the mapping partitions[I-
   D.ietf-alto-deployments].  Since the ALTO clients are unaware of the
   map information changes, clients need to query the servers for every
   service request and many such requests are redundant because the
   information was not changed.  The purpose of this memo is to provide
   two mechanisms which will help the ALTO clients to be informed of the
   map information changes. a) ALTO clients cache the map information
   and the servers provide the expiration time for invalidation. b) ALTO
   clients can subscribe for event notifications from the server

The IETF Secretariat